libpoppler83-32bit-0.72.0-3.8.x86_64.rpm


Advertisement

Description

libpoppler83-32bit - PDF Rendering Library

Property Value
Distribution openSUSE Tumbleweed
Repository KDE Unstable all
Package filename libpoppler83-32bit-0.72.0-3.8.x86_64.rpm
Package name libpoppler83-32bit
Package version 0.72.0
Package release 3.8
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage https://poppler.freedesktop.org/
License GPL-2.0-only OR GPL-3.0-only
Maintainer -
Download size 915.48 KB
Installed size 2.83 MB
Poppler is a PDF rendering library, forked from the xpdf PDF viewer
developed by Derek Noonburg of Glyph and Cog, LLC.

Alternatives

Package Version Architecture Repository
libpoppler83-32bit-0.72.0-3.10.x86_64.rpm 0.72.0 x86_64 KDE 5
libpoppler83-32bit-0.72.0-1.3.x86_64.rpm 0.72.0 x86_64 openSUSE Oss
libpoppler83-32bit - - -

Requires

Name Value
ld-linux.so.2 -
ld-linux.so.2(GLIBC_2.3) -
libc.so.6(GLIBC_2.11) -
libcurl.so.4 -
libfontconfig.so.1 -
libfreetype.so.6 -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GLIBC_2.0) -
libjpeg.so.8 -
libjpeg.so.8(LIBJPEG_8.0) -
liblcms2.so.2 -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libm.so.6(GLIBC_2.29) -
libnspr4.so -
libnss3.so -
libnss3.so(NSS_3.12) -
libnss3.so(NSS_3.2) -
libnss3.so(NSS_3.3) -
libnss3.so(NSS_3.4) -
libnss3.so(NSS_3.8) -
libopenjp2.so.7 -
libpng16.so.16 -
libpng16.so.16(PNG16_0) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.2) -
libsmime3.so -
libsmime3.so(NSS_3.16) -
libsmime3.so(NSS_3.2) -
libsmime3.so(NSS_3.4) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.5) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.14) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libstdc++.so.6(GLIBCXX_3.4.18) -
libstdc++.so.6(GLIBCXX_3.4.20) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -
libtiff.so.5 -
libz.so.1 -

Provides

Name Value
libpoppler.so.83 -
libpoppler83-32bit = 0.72.0-3.8
libpoppler83-32bit(x86-32) = 0.72.0-3.8

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libpoppler83-32bit-0.72.0-3.8.x86_64.rpm
Source Package poppler-0.72.0-3.8.src.rpm

Install Howto

  1. Add the KDE Unstable repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/KDE:/Unstable:/Qt/openSUSE_Tumbleweed/ kde-unstable
  2. Install libpoppler83-32bit rpm package:
    # zypper install libpoppler83-32bit

Files

Path
/usr/lib/libpoppler.so.83
/usr/lib/libpoppler.so.83.0.0

Changelog

2018-12-12 - alarrosa@suse.com
- Update to version 0.72.0:
+ core:
- Fix checkbox lacking AP not being able to change state.
- Draw line annotation endings (arrow, circle, ...).
- cairo: Don't use UNIQUE_ID for PS output, to avoid using PS
memory on cairo >= 1.5.10.
- Be more stubborn looking for a nssdb.
- GooString::fromInt: Repair the return value.
- Minor performance improvements.
- Avoid cycles in PDF parsing.
- Stream::makeFilter: Fix memory leak.
- Fix various issues with malformed files.
- Rename GooString::getCString to GooString::c_str.
- Regenerate UnicodeDecompTables.h from python 3.7.1.
+ utils:
- pdfdetach: Check for valid embedded file before trying to
save it.
- pdfdetach: Check for valid file name of embedded file before
using it to determine save path.
- Fix typos in utils.
+ glib:
- Fix missing PopplerAttachment destructor call.
- Support getting form widget additional actions.
- docs: Small improvements.
+ qt5: Internally compile with -DQT_NO_SIGNALS_SLOTS_KEYWORDS.
- Bump poppler_sover following upstream changes.
2018-11-02 - bjorn.lie@gmail.com
- Update to version 0.71.0:
+ core:
- Replace the implementation of GooString by std::string but
keep the exact interface intact.
- Replace GBool, gTrue, and gFalse by bool, true, false, resp.
- Splash: Fix crash if document is malformed (too wide).
+ qt5:
- Fix crash when adding Highlight Annotations.
- Default to hidden symbols.
- Fix two leaks in a test.
+ glib:
- demo: Fix build on Windows.
- demo: Align property labels to top of cell.
+ cpp: Fix typos in documentation.
+ build system:
- Enable searching for GTK on Windows
- Remove unused files
- Add fuzzer target from oss-fuzz project
- Changes from version 0.70.1:
+ glib: Install missing file.
- Changes from version 0.70.0:
+ core:
- FreeText annotations: default to font from default appearance
string.
- Splash: Speed improvements.
- Fix security issues found by oss-fuzz.
- Improve page lable parsing.
- Use std some std classes instead of self grown ones.
- Various internal improvements.
+ glib:
- Fix crash on missing embedded file.
- Add support for PDF subtype property.
- Only export symbols in the public API.
+ qt5:
- Add Page::index() method.
- Improve method to get the page from a label string.
+ utils: pdftohtml: Improve font handling.
- Bump poppler_sover following upstream changes.
2018-10-01 - Ismail Dönmez <idonmez@suse.com>
- Update to version 0.69.0:
+ core:
- Add annotation font color
- Splash: Some speed improvements
- PSOutputDev: add native support for type 7 shadings when
using level 3
- Add support for PDF subtype property
- Link: Fix memory leak regarding next actions
- Fix handling of Signature Info Location and Reason
- Fix errors in computation of type3 glyphs transformation
matrix
- Reimplement Dict class in a more modern way
- Fix security issues found by oss-fuzz
- Fix memory issues in GfxImageColorMap copy ctor
- Don't abort if the SampleFunction has too many samples.
Issue glfdo#poppler/poppler#634
- Document the OutputDev::clip and OutputDev::oeClip methods
- Fix macOS compilation due to boolean define in jpeglib
- Split GDir and GDirEntry out of gfile.h.
Issue glfdo#poppler/poppler#370
+ qt5:
- Add annotation font color
+ utils:
- pdfinfo: Show PDF subtype
- pdftotext: Fix only outputs first page content with
- bbox-layout option. Issue glfdo#poppler/poppler#88
- pdftotext: Fix memory leak in printLine
+ build system
- Require C++14

See Also

Package Description
libqca-qt5-2.1.3-ku.5.7.i586.rpm Qt Cryptographic Architecture 2
libqca-qt5-2.1.3-ku.5.7.x86_64.rpm Qt Cryptographic Architecture 2
libqca-qt5-32bit-2.1.3-ku.5.7.x86_64.rpm Qt Cryptographic Architecture 2
libqca-qt5-devel-2.1.3-ku.5.7.i586.rpm Development files for the Qt Cryptographic Architecture 2
libqca-qt5-devel-2.1.3-ku.5.7.x86_64.rpm Development files for the Qt Cryptographic Architecture 2
libqca-qt5-devel-32bit-2.1.3-ku.5.7.x86_64.rpm Development files for the Qt Cryptographic Architecture 2
libqca-qt5-plugins-2.1.3-ku.5.7.i586.rpm Various plugins for the Qt Cryptographic Architecture 2
libqca-qt5-plugins-2.1.3-ku.5.7.x86_64.rpm Various plugins for the Qt Cryptographic Architecture 2
libqca-qt5-plugins-32bit-2.1.3-ku.5.7.x86_64.rpm Various plugins for the Qt Cryptographic Architecture 2
libqgpgme-devel-1.13.0-ku.3.1.i586.rpm Development files for libqgpgme, a Qt library for accessing GnuPG
libqgpgme-devel-1.13.0-ku.3.1.x86_64.rpm Development files for libqgpgme, a Qt library for accessing GnuPG
libqgpgme7-1.13.0-ku.3.1.i586.rpm Programmatic Qt library interface to GnuPG
libqgpgme7-1.13.0-ku.3.1.x86_64.rpm Programmatic Qt library interface to GnuPG
libqgpgme7-32bit-1.13.0-ku.3.1.x86_64.rpm Programmatic Qt library interface to GnuPG
libqoauth2-2.0.0-ku.5.5.i586.rpm Library for interaction with OAuth-powered network services
Advertisement
Advertisement